Skip to main content
Resource Center/Network Service/Network Service Operations/VPC Firewall Operations

UpdateFirewallRule

UpdateFirewallRule

PUT/zstack/v1/vpcfirewalls/rules/{uuid}/actions

Operation ID

UpdateFirewallRule

Since

3.6.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The rule UUID.

Body Fields

  • ruleSetUuid
    StringRequired

    The ruleset UUID.

  • action
    StringRequired

    The action taken against data packets.

  • protocol
    String

    Optional. The protocol.

  • destPort
    String

    Optional. The destination port.

  • sourcePort
    String

    Optional. The source port.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    VpcFirewallRuleInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The firewall rule UUID.

    • ruleSetUuid
      StringRequired

      The ruleset UUID.

    • destPort
      StringRequired

      The destination port.

    • sourcePort
      StringRequired

      The source port.

    • sourceIp
      StringRequired

      The source IP address.

    • destIp
      StringRequired

      The destination IP address.

    • ruleNumber
      IntegerRequired

      The priority of the rule.

    • allowStates
      StringRequired

      Indicates the allow status of packets.

    • tcpFlag
      StringRequired

      The TCP flag.

    • icmpTypeName
      StringRequired

      The ICMP type.

    • isApplied
      booleanRequired

      Indicates whether the rule is applied.

    • expired
      booleanRequired

      Indicates whether the rule is expired.

    • isDefault
      booleanRequired

      Indicates whether the rule is a default rule.

    • description
      StringRequired

      The detailed description of the resource.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • action
      ActionTypeRequired

      See action.

      • drop
        ActionTypeRequired

        The drop.

      • reject
        ActionTypeRequired

        The reject.

      • accept
        ActionTypeRequired

        The accept.

    • protocol
      ProtocolTypeRequired

      See protocol.

      • tcp_udp
        ProtocolTypeRequired

        The tcp udp.

      • all
        ProtocolTypeRequired

        The all.

      • ah
        ProtocolTypeRequired

        The ah.

      • ax.25
        ProtocolTypeRequired

        The ax 25.

      • dccp
        ProtocolTypeRequired

        The dccp.

      • ddp
        ProtocolTypeRequired

        The ddp.

      • egp
        ProtocolTypeRequired

        The egp.

      • eigrp
        ProtocolTypeRequired

        The eigrp.

      • encap
        ProtocolTypeRequired

        The encap.

      • esp
        ProtocolTypeRequired

        The esp.

      • etherip
        ProtocolTypeRequired

        The etherip.

      • fc
        ProtocolTypeRequired

        The fc.

      • ggp
        ProtocolTypeRequired

        The ggp.

      • gre
        ProtocolTypeRequired

        The gre.

      • hip
        ProtocolTypeRequired

        The hip.

      • hmp
        ProtocolTypeRequired

        The hmp.

      • icmp
        ProtocolTypeRequired

        The icmp.

      • ipdr-cmtp
        ProtocolTypeRequired

        The ipdr cmtp.

      • idpr
        ProtocolTypeRequired

        The idpr.

      • igmp
        ProtocolTypeRequired

        The igmp.

      • igp
        ProtocolTypeRequired

        The igp.

      • ip
        ProtocolTypeRequired

        The IP address.

      • ipcomp
        ProtocolTypeRequired

        The ipcomp.

      • ipencap
        ProtocolTypeRequired

        The ipencap.

      • ipip
        ProtocolTypeRequired

        The ipip.

      • isis
        ProtocolTypeRequired

        The isis.

      • iso-tp4
        ProtocolTypeRequired

        The ISO tp 4.

      • l2tp
        ProtocolTypeRequired

        The L2 tp.

      • manet
        ProtocolTypeRequired

        The manet.

      • mpls-in-ip
        ProtocolTypeRequired

        The mpls in IP.

      • ospf
        ProtocolTypeRequired

        The ospf.

      • pim
        ProtocolTypeRequired

        The pim.

      • pup
        ProtocolTypeRequired

        The pup.

      • rdp
        ProtocolTypeRequired

        The rdp.

      • rohc
        ProtocolTypeRequired

        The rohc.

      • rspf
        ProtocolTypeRequired

        The rspf.

      • rsvp
        ProtocolTypeRequired

        The rsvp.

      • sctp
        ProtocolTypeRequired

        The sctp.

      • skip
        ProtocolTypeRequired

        The skip.

      • st
        ProtocolTypeRequired

        The st.

      • tcp
        ProtocolTypeRequired

        The tcp.

      • udp
        ProtocolTypeRequired

        The udp.

      • udplite
        ProtocolTypeRequired

        The udplite.

      • vmtp
        ProtocolTypeRequired

        The vmtp.

      • vrrp
        ProtocolTypeRequired

        The vrrp.

      • wesp
        ProtocolTypeRequired

        The wesp.

      • xns-idp
        ProtocolTypeRequired

        The xns idp.

      • xtp
        ProtocolTypeRequired

        The xtp.

    • state
      FirewallRuleStateRequired

      See state.

      • disable
        FirewallRuleStateRequired

        Whether the feature is disabled.

      • enable
        FirewallRuleStateRequired

        Whether the feature is enabled.